org.eclipse.microprofile.openapi.tck.utils

## Class ConfigAsset

- java.lang.Object
- - org.eclipse.microprofile.openapi.tck.utils.ConfigAsset

All Implemented Interfaces:
  org.jboss.shrinkwrap.api.asset.Asset

    public class ConfigAsset
    extends Object
    implements org.jboss.shrinkwrap.api.asset.Asset

Utility to allow the contents of microprofile-config.properties to be defined within the deployment method

Example usage:

     ConfigAsset config = new ConfigAsset()
             .put(OASConfig.SCAN_PACKAGES, "com.example.myPackage")
             .put(OASConfig.SCAN_EXCLUDE_CLASSES, "com.example.myPackage.MyClass");
     WebArchive war = ShrinkWrap.create(WebArchive.class, "test.war")
             .addPackages(true, "com.example.myPackage")
             .addAsManifestResource(config, "microprofile-config.properties");

### Constructor Summary

Constructors
Constructor and Description
`ConfigAsset()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InputStream` `openStream()`
`ConfigAsset` `put(String key, String... values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigAsset

    public ConfigAsset()

### Method Detail

#### put

    public ConfigAsset put(String key,
                           String... values)

#### openStream

    public InputStream openStream()

Specified by:
  `openStream` in interface `org.jboss.shrinkwrap.api.asset.Asset`